Package org.apache.xmlbeans.impl.schema

## Class SchemaStringEnumEntryImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaStringEnumEntryImpl

- All Implemented Interfaces:
    `SchemaStringEnumEntry`

      public class SchemaStringEnumEntryImpl
      extends Object
      implements SchemaStringEnumEntry

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaStringEnumEntryImpl​(String str, int i, String enumName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEnumName()` | A capitalized name to use for the enumeration constant name
    `int` | `getIntValue()` | An integer to represent this choice in the enumeration
    `String` | `getString()` | The enumerated string value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaStringEnumEntryImpl

          public SchemaStringEnumEntryImpl​(String str,
                                           int i,
                                           String enumName)

  - ### Method Detail

    - #### getString

          public String getString()

      Description copied from interface: `SchemaStringEnumEntry`
      The enumerated string value
      Specified by:
        `getString` in interface `SchemaStringEnumEntry`

    - #### getIntValue

          public int getIntValue()

      Description copied from interface: `SchemaStringEnumEntry`
      An integer to represent this choice in the enumeration
      Specified by:
        `getIntValue` in interface `SchemaStringEnumEntry`

    - #### getEnumName

          public String getEnumName()

      Description copied from interface: `SchemaStringEnumEntry`
      A capitalized name to use for the enumeration constant name
      Specified by:
        `getEnumName` in interface `SchemaStringEnumEntry`